Page MenuHomePhabricator

Spike in fatals from WikiPageEntityMetaDataLookup during group1 deployment of 1.32.0-wmf.24
Closed, ResolvedPublic

Description

From fatalmonitor:

223 Catchable fatal error: Argument 2 passed to Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup::__construct() must be an instance
of MediaWiki\Storage\NameTableStore, undefined variable given in /srv/mediawiki/php-1.32.0-wmf.24/extensions/WikibaseQualityConstraints/src
/ServiceWiring.php on line 249
222 Warning: __construct() expects at least 2 parameters, 1 given in /srv/mediawiki/php-1.32.0-wmf.24/extensions/Wikibase/lib/includes/
Store/Sql/WikiPageEntityMetaDataLookup.php on line 56

Apparent spike in logstash:
https://logstash.wikimedia.org/goto/c6a8dbbcfa541bc41f1c7a533d02fcec

Event Timeline

dduvall triaged this task as High priority.
dduvall removed dduvall as the assignee of this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 3 2018, 7:30 PM
greg raised the priority of this task from High to Unbreak Now!.Oct 3 2018, 7:42 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 3 2018, 7:42 PM

WikibaseQualityConstraints makes its own WikiPageEntityMetaDataLookup instance rather than using one from WikibaseServices.
WikiPageEntityMetaDataLookup isn't actually exposed in WikibaseServices yet, only the EntityPrefetcher interfaces is....

Krinkle renamed this task from Spike in fatals during group1 deployment of 1.32.0-wmf.24 to Spike in fatals from WikiPageEntityMetaDataLookup during group1 deployment of 1.32.0-wmf.24.

Change 464405 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix WikiPageEntityMetaDataLookup construction

https://gerrit.wikimedia.org/r/464405

Change 464407 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.32.0-wmf.24] Fix WikiPageEntityMetaDataLookup construction

https://gerrit.wikimedia.org/r/464407

Mentioned in SAL (#wikimedia-operations) [2018-10-03T20:28:49Z] <marxarelli> deployed proposed WikibaseQualityConstraints fix and wikiversions bump for wikidatawiki to mwdebug1001 and mwdebug1002 for verification (T206161)

Change 464407 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.32.0-wmf.24] Fix WikiPageEntityMetaDataLookup construction

https://gerrit.wikimedia.org/r/464407

Restricted Application changed the subtype of this task from "Release" to "Task". · View Herald TranscriptOct 3 2018, 9:08 PM

Change 464405 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix WikiPageEntityMetaDataLookup construction

https://gerrit.wikimedia.org/r/464405

Mentioned in SAL (#wikimedia-operations) [2018-10-03T21:12:18Z] <dduvall@deploy1001> Synchronized php-1.32.0-wmf.24/extensions/WikibaseQualityConstraints/src/ServiceWiring.php: deploying fix to 1.32.0-wmf.24 for T206161 (duration: 00m 57s)

Addshore closed this task as Resolved.Oct 4 2018, 8:24 AM
Addshore added a project: Wikidata.